Package picard.analysis

# Class CollectJumpingLibraryMetrics

java.lang.Object
picard.cmdline.CommandLineProgram
picard.analysis.CollectJumpingLibraryMetrics

@DocumentedFeature public class CollectJumpingLibraryMetrics extends CommandLineProgram
Command-line program to compute metrics about outward-facing pairs, inward-facing pairs, and chimeras in a jumping library.

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`CHIMERA_KB_MIN`
`List<File>`
`INPUT`
`Integer`
`MINIMUM_MAPPING_QUALITY`
`File`
`OUTPUT`
`int`
`TAIL_LIMIT`

### Fields inherited from class picard.cmdline.CommandLineProgram

`COMPRESSION_LEVEL, CREATE_INDEX, CREATE_MD5_FILE, MAX_ALLOWABLE_ONE_LINE_SUMMARY_LENGTH, MAX_RECORDS_IN_RAM, QUIET, REFERENCE_SEQUENCE, referenceSequence, specialArgumentsCollection, SYNTAX_TRANSITION_URL, TMP_DIR, USE_JDK_DEFLATER, USE_JDK_INFLATER, VALIDATION_STRINGENCY, VERBOSITY`

## Constructor Summary

Constructors
Constructor
Description
`CollectJumpingLibraryMetrics()`

## Method Summary

Modifier and Type
Method
Description
`protected int`
`doWork()`
Calculates the detailed statistics about the jumping library and then generates the results.

### Methods inherited from class picard.cmdline.CommandLineProgram

`checkRInstallation, customCommandLineValidation, getCommandLine, getCommandLineParser, getCommandLineParserForArgs, getDefaultHeaders, getFaqLink, getMetricsFile, getPGRecord, getStandardUsagePreamble, getStandardUsagePreamble, getVersion, hasWebDocumentation, instanceMain, instanceMainWithExit, makeReferenceArgumentCollection, parseArgs, requiresReference, setDefaultHeaders, useLegacyParser`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INPUT

@Argument(shortName="I", doc="BAM file(s) of reads with duplicates marked") public List<File> INPUT

### OUTPUT

@Argument(shortName="O", doc="File to which metrics should be written") public File OUTPUT

### MINIMUM_MAPPING_QUALITY

@Argument(shortName="MQ", doc="Mapping quality minimum cutoff") public Integer MINIMUM_MAPPING_QUALITY

### TAIL_LIMIT

@Argument(shortName="T", doc="When calculating mean and stdev stop when the bins in the tail of the distribution contain fewer than mode/TAIL_LIMIT items") public int TAIL_LIMIT

### CHIMERA_KB_MIN

@Argument(doc="Jumps greater than or equal to the greater of this value or 2 times the mode of the outward-facing pairs are considered chimeras") public int CHIMERA_KB_MIN

## Constructor Details

### CollectJumpingLibraryMetrics

public CollectJumpingLibraryMetrics()

## Method Details

### doWork

protected int doWork()
Calculates the detailed statistics about the jumping library and then generates the results.

Specified by:
  `doWork` in class `CommandLineProgram`
Returns:
  program exit status.